|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QSharedData Class Reference
[QtCore module]

The QSharedData class is a base class for shared data objects. More...

     #include <QSharedData>

Inherited by QAbstractXmlNodeModel, QAbstractXmlReceiver, QPatternist::AtomicTypeVisitor, QPatternist::AtomicTypeVisitorResult, QPatternist::AtomicValue, QPatternist::EmptyIterator, QPatternist::Expression, QPatternist::ExpressionCreator, QPatternist::ExpressionFactory, QPatternist::ExpressionIdentifier, QPatternist::ExpressionVisitor, QPatternist::ExpressionVisitorResult, QPatternist::ExternalVariableLoader, QPatternist::FunctionArgument, QPatternist::FunctionFactory, QPatternist::FunctionSignature, QPatternist::ItemMappingIterator, QPatternist::ItemType, QPatternist::NamePool, QPatternist::NamespaceResolver, QPatternist::OptimizationPass, QPatternist::ParameterizedAtomicTypeVisitor, QPatternist::ParserContext, QPatternist::QAbstractXmlReceiver, QPatternist::QObjectPropertyToAttributeIterator, QPatternist::ReportContext, QPatternist::ResourceLoader, QPatternist::SchemaComponent, QPatternist::SchemaTypeFactory, QPatternist::SequenceMappingIterator, QPatternist::SequenceType, QPatternist::SingletonIterator, QPatternist::Tokenizer, QPatternist::UserFunction, QPatternist::VariableDeclaration, QScript::Ext::EnumerationClassData, QScript::MemoryPool, and

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QSharedData ()
- QSharedData ( const QSharedData & other )

## Detailed Description

The QSharedData class is a base class for shared data objects.

QSharedData is designed to be used together with QSharedDataPointer to implement custom implicitly shared classes. It provides thread-safe reference counting.

See the QSharedDataPointer documentation for details.

## Member Function Documentation

### QSharedData::QSharedData ()

Constructs a QSharedData object with a reference count of 0.

### QSharedData::QSharedData ( const QSharedData & other )

Constructs a QSharedData object with a reference count of 0. (other is ignored.)